Trust Centers
Create Trust Center document
Adds a document to a Trust Center.
POST
/
trust-centers
/
{slugId}
/
resources
Create Trust Center document
curl --request POST \
--url https://api.vanta.com/v1/trust-centers/{slugId}/resources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'title=<string>' \
--form 'isPublic=<string>' \
--form 'description=<string>'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/resources"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"title": "<string>",
"isPublic": "<string>",
"description": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('title', '<string>');
form.append('isPublic', '<string>');
form.append('description', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "4b1e7a8c3d9f6a2b5c8d0e3f",
"title": "Resource title",
"mimeType": "application/pdf",
"fileName": "resource.pdf",
"creationDate": "2020-01-01T00:00:00.000Z",
"updatedDate": "2020-01-01T00:00:00.000Z",
"isPublic": true,
"description": "Resource description"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
multipart/form-data
Response
201 - application/json
Trust Center document created
Unique identifier for the document.
The file name of the document.
The document's title.
The document's description
Mime type of the document.
Date of when the document was uploaded.
Date when the document was last updated.
Boolean determining whether the document is publicly available.
Related topics
Update Trust Center documentDelete Trust Center documentGet Trust Center documentCreate Trust Center updateCreate Trust Center FAQWas this page helpful?
⌘I
Create Trust Center document
